The Community Forums

Interact with an entire community of cPanel & WHM users.
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

ClamAV Version

Discussion in 'General Discussion' started by abubin, May 8, 2016.

Tags:
  1. abubin

    abubin Well-Known Member

    Joined:
    Dec 7, 2004
    Messages:
    393
    Likes Received:
    1
    Trophy Points:
    18
    ok, first of all the upgrade is working now. My cpanel is now upgraded to 56.0.14. Everything looks to be in working order.

    When I run freshclam, here is what I get:
    Code:
    root# /usr/local/cpanel/3rdparty/bin/freshclam
    ClamAV update process started at Mon May  9 12:17:33 2016
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.99 Recommended version: 0.99.2
    DON'T PANIC! Read http://www.clamav.net/support/faq
    main.cvd is up to date (version: 57, sigs: 4218790, f-level: 60, builder: amishhammer)
    daily.cld is up to date (version: 21519, sigs: 117048, f-level: 63, builder: neo)
    bytecode.cvd is up to date (version: 277, sigs: 47, f-level: 63, builder: neo)
    
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,723
    Likes Received:
    660
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    I've moved this post into it's own thread. The warning message you have reported is not abnormal because the version of ClamAV published by cPanel is not yet at 0.99.2. While there's a newer version available, keep in mind the virus database itself is still updated through "freshclam". There's typically a delay between when ClamAV releases a new version, and when it's published by cPanel, as we have to put the new version through testing first. The new version is planned per CPANEL-6015, and I will update this thread with more information on the release of this new version as it becomes available.

    Thank you.
     
  3. Secmas

    Secmas Well-Known Member

    Joined:
    Feb 18, 2005
    Messages:
    321
    Likes Received:
    0
    Trophy Points:
    16
    @cPanelMichael

    It is almost a month since CLAMAV udpate fails in my server:

    Code:
    --------------------- clam-update Begin ------------------------
    
    Last ClamAV update process started at Thu Jun 16 04:24:22 2016
    
    Last Status:
        WARNING: Your ClamAV installation is OUTDATED!
        WARNING: Local version: 0.99 Recommended version: 0.99.2
        DON'T PANIC! Read http://www.clamav.net/support/faq
        main.cvd is up to date (version: 57, sigs: 4218790, f-level: 60, builder: amishhammer)
        nonblock_connect: connect timing out (30 secs)
        Can't connect to port 80 of host database.clamav.net (IP: 69.163.100.14)
        Downloading daily-21732.cdiff [100%]
        Downloading daily-21733.cdiff [100%]
        daily.cld updated (version: 21733, sigs: 293967, f-level: 63, builder: neo)
        bytecode.cvd is up to date (version: 281, sigs: 51, f-level: 63, builder: neo)
        Database updated (4512808 signatures) from database.clamav.net (IP: 194.8.197.22)
    
    ---------------------- clam-update End -------------------------
    
    Any ETA when this will be fixed?
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,723
    Likes Received:
    660
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    1. The output you provided shows an error message that is unrelated to the version of ClamAV installed on your system:

    Can you verify if that hostname is accessible over port 80 from your server's command line? You could check this with a command such as:

    Code:
    telnet database.clamav.net 80
    2. ClamAV 0.99.2 is available in cPanel 58:

    Code:
    # rpm -qa | grep clam
    cpanel-clamav-virusdefs-0.99.2-1.cp1156.x86_64
    cpanel-clamav-0.99.2-1.cp1156.x86_64
    cPanel 58 is currently available on the "Current" build tier. You can find more information on the release process at:

    cPanel & WHM Product Versions and the Release Process

    Thank you.
     
  5. Secmas

    Secmas Well-Known Member

    Joined:
    Feb 18, 2005
    Messages:
    321
    Likes Received:
    0
    Trophy Points:
    16
    Thanks a lot for answering back cPanelMichael and forgive me for answering so late.

    My WHM/cPanel version: 56.28

    I checked out that port 80 is working, I checked all my LogWatchs and the example that I wrote in my post happens to be the only time that the port 80 was blocked, lol.

    I have checked the rpm and showed the following:

    root@server2 [~]# rpm -qa | grep clam
    cpanel-clamav-0.99-4.cp1156.x86_64
    cpanel-clamav-virusdefs-0.99-4.cp1156.x86_64

    My LogWatch is still showing the following (this is the excerpt from today's logwatch):

    --------------------- clam-update Begin ------------------------

    Last ClamAV update process started at Sat Jul 30 04:20:36 2016

    Last Status:
    WARNING: Your ClamAV installation is OUTDATED!
    WARNING: Local version: 0.99 Recommended version: 0.99.2
    DON'T PANIC! Read ClamavNet
    main.cvd is up to date (version: 57, sigs: 4218790, f-level: 60, builder: amishhammer)
    Downloading daily-21990.cdiff [100%]
    Downloading daily-21991.cdiff [100%]
    Downloading daily-21992.cdiff [100%]
    Downloading daily-21993.cdiff [100%]
    Downloading daily-21994.cdiff [100%]
    Downloading daily-21995.cdiff [100%]
    daily.cld updated (version: 21995, sigs: 466258, f-level: 63, builder: neo)
    bytecode.cld is up to date (version: 283, sigs: 53, f-level: 63, builder: neo)
    Database updated (4685101 signatures) from database.clamav.net (IP: 150.214.142.197)

    ---------------------- clam-update End -------------------------

    So, it seems that I will have to wait until 58 comes out for this to be fixed.

    Best Regards,
    Sergio
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,723
    Likes Received:
    660
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    Yes, that output suggests no problems, other than the outdated version. The newer version is included with cPanel 58, as you mentioned.

    Thank you.
     
Loading...

Share This Page